RENAME(1)

NOM
rename - Renommer des fichiers

SYNOPSIS

rename [options] expression replacement file...

DESCRIPTION

rename will rename the specified files by replacing the first occurrence of expression in their name by replacement.

OPTIONS

-s, --symlink
    Do not rename a symlink but change where it points.

-v, --verbose
    Montrer les fichiers renommés, s’il y en a.

-n, --no-act
    Ne pas faire de changement ; ajoutez --verbose pour voir ce qui serait fait.

-a, --all
    Replace all occurrences of expression rather than only the first one.

-l, --last
    Replace the last occurrence of expression rather than the first one.

-o, --no-overwrite
    Ne pas écraser les fichiers existants. Quand --symlink est actif, ne pas écraser les liens symboliques pointant vers des cibles existantes.

-i, --interactive
    Demander avant d’écraser des fichiers existants.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

AVERTISSEMENT

Le renommage n’a pas de garde-fou par défaut ou sans les options --no-overwrite, --interactive ou --no-act. Si l’utilisateur a le droit de réécrire les noms de fichier, la commande réalisera l’action sans question. Par exemple, le résultat peut être plutôt catastrophique si la commande est lancée en tant que superutilisateur dans le répertoire /lib. Faites toujours une sauvegarde avant de lancer la commande, à moins de vraiment savoir ce que vous faites.

EDGE CASES

If the expression is empty, then by default replacement will be added to the start of the filename. With --all, replacement will be inserted in between every two characters of the filename, as well as at the start and end.

Normally, only the final path component of a filename is updated. (Or with --symlink, only the final path component of the link.) But if either expression or replacement contains a /, the full path is updated. This can cause a file to be moved between folders. Creating folders, and moving files between filesystems, is not supported.

MODE INTERACTIF

Comme la plupart des outils standards, rename peut être utilisé sur un terminal (tty en bref) en mode canonique, alors la ligne est stockée par le terminal et vous appuyez sur entrée pour valider la saisie de l’utilisateur. Cependant, si vous mettez votre terminal en mode cbreak, rename n’a besoin que d’un appui sur une seule touche pour répondre à l’invite. Pour passer en mode cbreak, lancez par exemple :

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i fichiers_source

CODE DE RETOUR

0
    Toutes les opérations de renommage demandées ont réussi.

1
    Toutes les opérations de renommage ont échoué.

2
    Certaines opérations de renommage ont échoué.

4
    Rien n’a été renommé.

64
    Une erreur imprévue s’est produite.

EXEMPLES

Pour les fichiers titi1, ..., titi9, titi10, ..., titi278, les commandes

    rename titi titi00 titi?
    rename titi titi0 titi??

les transforment en titi001, ..., titi009, titi010, ..., titi278. Et

    rename .htm .html *.htm

va corriger les extensions de vos fichiers HTML. Fournir une chaîne vide pour raccourcir :

    rename '_nom_long' '' fichier_nom_long.*

supprimera la sous-chaîne dans les noms de fichier.

VOIR AUSSI

mv(1)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande rename fait partie du paquet util-linux, elle est disponible sur